# Mount device partitions

description "Mount device partitions"

start on (startup
    and started udev)

emits mounted-android

task

script
    mkdir -p /dev/cpuset
    mount none /dev/cpuset -t cpuset -o nodev,noexec,nosuid

    /usr/sbin/mount-android.sh

    mount -o bind /usr/share/halium-overlay/vendor/etc/init/hw/init.qcom.usb.rc /android/vendor/etc/init/hw/init.qcom.usb.rc
    mount -o bind /usr/share/halium-overlay/vendor/bin/vndservicemanager /android/vendor/bin/vndservicemanager

    if [ -d /android/metadata ]; then
        mount -o bind /android/metadata /var/lib/lxc/android/rootfs/metadata
    fi
    initctl emit -n mounted-android
end script
